Bug 121157 - PDF printing does not work
Summary: PDF printing does not work
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-print (Show other bugs)
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-18 08:37 UTC by David Monniaux
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 18:25:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
1st file->print dialog (14.71 KB, text/plain)
2004-05-03 17:29 UTC, Caolan McNamara
no flags Details
2nd file->print dialog (29.06 KB, text/plain)
2004-05-03 17:30 UTC, Caolan McNamara
no flags Details
After clicking on "create a PDF document", destination stays set on CUPS (18.64 KB, image/png)
2004-05-03 17:50 UTC, David Monniaux
no flags Details

Description David Monniaux 2004-04-18 08:37:39 UTC
Description of problem:
It is impossible to print to a PDF or generic postscript file.

Version-Release number of selected component (if applicable):
1.2.1-1

How reproducible:
always

Steps to Reproduce:
1. Write something in the spreadsheet
2. File->Print, select Print to PDF file
3. Confirm by clicking on "Print"
  
Actual results:
Nothing happens.

Expected results:
A dialog box should pop up, asking me the filename for the printout,
then a file of that name containing PDF or PS should be written.

Additional info:

Comment 1 Caolan McNamara 2004-04-30 20:38:39 UTC
With 1.2.1-1 (and with 1.2.8 as in Fedora Core 2) when you use
File->Print and select "Print to PDF" then the "Location" line in this
dialog underneath "Print to PDF" changes to "File" with "output.pdf"
auto-selected, and a "save-as" button which you can use to change the
output filename. So you can certainly print to PDF with 1.2.1-1

Comment 2 David Monniaux 2004-04-30 23:33:05 UTC
No, the said line does NOT change in the 1.2.1-1 I have.

Comment 3 Caolan McNamara 2004-05-03 17:29:47 UTC
Created attachment 99917 [details]
1st file->print dialog

Comment 4 Caolan McNamara 2004-05-03 17:30:36 UTC
Created attachment 99918 [details]
2nd file->print dialog

Comment 5 Caolan McNamara 2004-05-03 17:34:29 UTC
These are the print dialogs that I'm seeing with the fedora core 1
1.2.1-1 rpm I installed. The first is from file->print... and the
second is when I select "Create a PDF document" from the print action.
Is it the case that your print dialogs do not match these pictures ?

Comment 6 David Monniaux 2004-05-03 17:50:38 UTC
Created attachment 99920 [details]
After clicking on "create a PDF document", destination stays set on CUPS

This is what I obtain after I choose to create a PDF document: the destination
chooser stays fixed on CUPS, and CUPS is the only possible choice.

Comment 7 Caolan McNamara 2004-05-03 18:20:29 UTC
Ah right, this was http://bugzilla.gnome.org/show_bug.cgi?id=126046,
apparently a general problem with that print dialog + CUPS and not
solely an abiword issue. Which is why it worked for me as my
libgnomeprint etc are gnome 2.6

caolan->owen: fixed in 2.6 libgnomeprint issue

Comment 8 David Monniaux 2004-05-03 19:17:55 UTC
If that may help, the problem does NOT happen with Evolution, which is
linked against the same libgnomeprint.

Comment 9 Owen Taylor 2004-08-04 20:58:41 UTC
What libgnmeprint version is this? Should this be libgnomeprintui
or libgnomeprintui22, not the gnome-1.x gnome-print package?
Does the problem occur in FC2?


Comment 10 Owen Taylor 2004-09-02 18:25:31 UTC
Can't really make much sense of this bug report, but libgnomeprint-2.6
was in FC2.



Note You need to log in before you can comment on or make changes to this bug.